<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.0.00  
* Copyright (C) 2007-2011: Fred Stuurman (fc.stuurman@gmail.com)
* Class pages module : 
*  user_login.php: last changed 07/07/2011  by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

if (IsSet ($_REQUEST['option']))
{
	$option = $_REQUEST['option'];
	$option = htmlspecialchars(strip_tags($option)); //remove html tags
}
if (IsSet ($_POST['user_username']))
{
	$username = $_POST['user_username'];
	$username = sanitize($username, 20, 'A'); //remove html tags
}
if (IsSet ($_POST['user_password']))
{
	$password = $_POST['user_password'];
	$password = sanitize($password, 20, 'S'); //remove html tags
}

if ((IsSet ($option)) AND (($option == "userlogin") OR ($option == "save_new_password")))
{
	if (!verify_logon($username, $password, $option))
	{
		print "<script language=\"Javascript\">
			   <!--
			   alert (\"" . $sas_lang['login_error'] . "\");
			   window.location = 'index.php?section=$section&page=$page' ;	
			   //-->
			   </script>";
	}
}
elseif (!IsSet ($_SESSION['userid']))
{
	if (IsSet ($_GET['username']))
	{
		$username = $_GET['username'];
	}

	if ($_GET['error'] == "true")
	{
		print "<script language=\"Javascript\">
			   <!--
			   alert (\"" . $sas_lang['password_change_problem'] . "\");
			   //-->
			   </script>";
	}
	elseif ($option == "new_password") //passwords reset
	{
		print "<script language=\"Javascript\">
			   <!--
			   alert (\"" . $sas_lang['password_need_change'] . "\");
			   //-->
			   </script>";
	}

print "<script type=\"text/javascript\">

function checkinput ( form )
{
    if (form.user_password.value == '') 
    {
    alert( \"".$sas_lang['input_error']."\" );
    form.user_password.focus();
    return false ;
    }
    if (form.password_new1.value == '') 
    {
    alert( \"".$sas_lang['input_error']."\" );
    form.password_new1.focus();
    return false ;
    }
    if (form.password_new1.value.length < 4) 
	{
    alert( \"".$sas_lang['password_length_error']."\" );
    form.password_new1.focus();
    return false ;
    }
	if (form.password_new2.value == '') 
    {
    alert( \"".$sas_lang['input_error']."\" );
    form.password_new2.focus();
    return false ;
    }
    if (form.password_new2.value.length < 4) 
	{
    alert( \"".$sas_lang['password_length_error']."\" );
    form.password_new2.focus();
    return false ;
    }
  return true ;
}
</script>";

	print "<table cellpadding=\"4\"><tr><td colspan=\"2\">" . $sas_lang['login_text'] . "</td></tr>";
	print "<FORM METHOD=\"POST\" ACTION=\"index.php?section=$section&page=$page\" onsubmit=\"return checkinput(this);\">";

	print "<td align=\"right\"><b>" . $sas_lang['username'] . " :</b></td>
			 <td><INPUT tabindex=\"1\" TYPE=TEXT NAME=\"user_username\" SIZE=25 value=\"$username\"></td></tr>
			 <td align=\"right\"><b>" . $sas_lang['password'] . " :</b></td>
			 <td><INPUT tabindex=\"2\" TYPE=password NAME=\"user_password\" SIZE=25></td></tr>";
				 
	if ($option == "new_password") //passwords reset
	{
		print "<tr><td>&nbsp;</td></tr><tr><td align=right><b>" . $sas_lang['password_new'] . ":</b></td></tr>
			     <tr><td align=right><b>" . $sas_lang['password'] . "1:&nbsp;</b></td>
			     <td> <input type=\"password\" TABINDEX=3 name=\"password_new1\" size=\"25\"></td>
				</tr>
				<tr>
			     <td align=right><b>" . $sas_lang['password'] . "2:&nbsp;</b></td>
			     <td> <input type=\"password\" TABINDEX=4 name=\"password_new2\" size=\"25\">
				 <INPUT TYPE=\"hidden\" NAME=\"option\" value=\"save_new_password\"></td>
				</tr>";
	}
	if ($option != "new_password") //passwords reset
	{
		print "<tr>
			   <td>&nbsp;</td>
			   <td><a href=\"$cmsdir/sendpw.php?option=public\">" . $sas_lang['logged_password_forget'] . "</a>
			   <INPUT TYPE=\"hidden\" NAME=\"option\" value=\"userlogin\">
				 </td>       
				 </tr>";
	}
	print "<tr>
			<td colspan=\"2\" align=\"right\"><INPUT tabindex=\"5\" TYPE=SUBMIT VALUE=\"" . $sas_lang['login'] . "\"></td>
			</tr></form></table>";
}

if (IsSet ($_SESSION['userid']))
{
	$userid = $_SESSION['userid'];
}

if (($_SESSION['user_type'] == 2) or ($_SESSION['user_type'] == 22)) //teacher only
{
	//record the page and section number where the teacher is now.
	$_SESSION['page_came_from'] = 0;
	$_SESSION['section_came_from'] = $sas_config['startsection'];
	//jump to protected area
	print "<script language='javascript'>window.location = 'index.php?site=protected'</script>";
}
?>