<?php
/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* Syndeo CMS Software Version: 3.3.00  
* Copyright (C) 2013: Fred Stuurman (fc.stuurman@gmail.com)
* Core function:
* email_cloak.php: last changed 02/12/2013 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
*/
$search = "([[:alnum:]_\.\-]+)(\@[[:alnum:]\.\-]+\.+)([[:alnum:]\.\-]+)";

// search for derivativs of link code <a href="mailto:email@amail.com">email@amail.com</a>
$searchlink = "/(<a [[:alnum:] _\"\'=\@\.\-]*href=[\"\']mailto:". $search ."[\"\'][[:alnum:] _\"\'=\@\.\-]*>)". $search ."<\/a>/i";

$content = stripslashes($content);
while( preg_match( $searchlink, $content, $regs ) ) 
{
	$mail = $regs[2] . $regs[3] . $regs[4];
	$replacement = email_cloak( $mail );
	$content = str_replace( $regs[0], $replacement, $content );
}
$content = addslashes($content);
/**
* simple Javascript Cloaking
* email cloacking
* by default replaces an email with a mailto link with email cloacked
* derived from http://help.joomla.org/api/__filesource/fsource_Joomla__includesjoomla.php.html
* functions email_Cloaking and encoding_converter are from Joomla cms, see http://www.joomla.org
*/
function email_cloak( $mail)
{
	$mail = explode( '@', $mail );
	$mail_parts = explode( '.', $mail[1] );
	$domain = explode( '.', $mail[1] );
	
	$replacement    = "<script language='JavaScript' type='text/javascript'>";
	$replacement    .= "\n <!--";
	$replacement    .= "\n document.write('<a href=\"ma'+ 'ilto:' + '$mail[0]' + '&#64;' + '$mail[1]\"' + '>$mail[0]'+ '&#64;' + '$mail[1]</a>');";
	$replacement    .= "\n //-->";
	$replacement    .= '\n </script>';
	$replacement    .= "<script language='JavaScript' type='text/javascript'>";
	$replacement    .= "\n <!--";
	$replacement    .= "\n document.write( '<span style=\'display: none;\'>' );";
	$replacement    .= "\n //-->";
	$replacement    .= "\n </script>";
	$replacement    .= "(" . $mail[0] . " (at) " . $domain[0] . " (dot) ". $domain[1] . ")";
	$replacement    .= "\n <script language='JavaScript' type='text/javascript'>";
	$replacement    .= "\n <!--";
	$replacement    .= "\n document.write( '</' );";
	$replacement    .= "\n document.write( 'span>' );";
	$replacement    .= "\n //-->";
	$replacement    .= "\n </script></a>";
	
	return $replacement;
}
?>