<?php

/*
/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* Syndeo CMS Software Version: 3.2.00  
* Copyright (C) 2007-2013: Fred Stuurman (fc.stuurman@gmail.com)
* Slider module:
* admin.php: last changed 05/08/2013 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

if (IsSet ($_GET['modoption']))
{
	$modoption = sanitize($_GET['modoption'], 20, 'A');
}
else
{
	$modoption = "list_sliders";	//default choice
}
if (IsSet ($_GET['slider_id']))
{
	$slider_id = sanitize($_GET['slider_id'], 5 , 'S'); //sanitize, 5 chars max
}
if (IsSet ($_POST['slider_height']))
{
	$slider_height = intval($_POST['slider_height']); //sanitize, integer only
}
if (IsSet ($_POST['slider_width']))
{
	$slider_width = intval($_POST['slider_width']); //sanitize, integer only
}
if (IsSet ($_POST['slider_speed']))
{
	$slider_speed = intval($_POST['slider_speed']); //sanitize, integer only
	$slider_speed = $slider_speed * 1000;
}
if (IsSet ($_POST['slider_pause']))
{
	$slider_pause = intval($_POST['slider_pause']); //sanitize, integer only
	$slider_pause = $slider_pause * 1000 ;
}
if (IsSet ($_POST['title']))
{
	$title = sanitize($_POST['title'], 80, 'U');
}
if (IsSet ($_POST['content']))
{
	$content = sanitize($_POST['content'], 1500, 'U');
}
if (IsSet ($_POST['page_id']))
{
	$page_id = intval($_POST['page_id']); //sanitize, integer
}
if (IsSet ($_POST['picture']))
{
	$picture = sanitize($_POST['picture'], 150 , 'S'); //sanitize, 150 chars max
}
if (IsSet ($_POST['slider_link']))
{
	$slider_link = sanitize($_POST['slider_link'], 100 , 'S'); //sanitize, 150 chars max
}
if (IsSet ($_POST['vertical']))
{
	$vertical = sanitize($_POST['vertical'], 5 , 'S'); //sanitize, 5 chars max
}
if (IsSet ($_POST['continuous']))
{
	$continuous = sanitize($_POST['continuous'], 5 , 'S'); //sanitize, 5 chars max
}
if (IsSet ($_POST['order']))
{
	$order = intval($_POST['order']);
}
if (IsSet ($_POST['target']))
{
	$target = intval($_POST['target']);
}
if (IsSet ($_POST['publish']))
{
	$publish = intval($_POST['publish']);
}
if (IsSet ($_POST['active']))
{
	$active = intval($_POST['active']);
}
if (IsSet ($_POST['show_picture_only']))
{
	$show_picture_only = intval($_POST['show_picture_only']);
}
$_SESSION['opendir'] = "/template_images/" . $sas_config['theme'];

load_language('', 'slider'); //load language file

include ("interface/header.inc.php");
?>
<SCRIPT TYPE="text/javascript">
	
	$(document).ready(function() {		
		$("#thumbnail img").hover(function(e){
			$("#large").css("top",(e.pageY+30)+"px")
			 .css("left",(e.pageX-200)+"px")					
			 .html("<img src="+ $(this).attr("alt") +" width='400' alt='Large Image' />")
			 .fadeIn("slow");
		}, function(){
			$("#large").fadeOut("fast");
		});		
		
	});

	$(document).ready(function() {
		$("#theForm").validate(
		{
		errorLabelContainer: "#ErrorBox"
	}
		);
	});
	
function NewPopup (link) 
{
var win_left = (screen.width - 800) / 2;
var win_top = (screen.height - 515) / 2;
  window1 = window.open(link, "Add_event", "width=800,height=515,resizable=yes,scrollbars=yes");
  window1.moveTo(win_left,win_top);
  window1.focus();
}

function SetUrl( url, num )
{
	//document.theForm.bg.value = url ;
	eval( "document.theForm.picture.value = url;" )
}
</script>
<style>
#thumbnail img {
	cursor: pointer;	
}
#large {
	display: none;
	position: absolute;	
	color: #FFFFFF;
	background: #FFFFFF;	
	padding: 1px;
}
</style>
<?php
include ("interface/menubar.inc.php");
include ("interface/menustart.inc.php");

$class = "";
if($modoption == "list_sliders") $class = "class='active'";
print "<li $class><a href=\"index.php?option=modulemanager&module=$module&modoption=list_sliders\">" . $sas_lang['slider_module_items'] . "</a></li>\n";
$class = "";
if($modoption == "config") $class = "class='active'";
print "<li $class><a href=\"index.php?option=modulemanager&module=$module&modoption=config\">" . $sas_lang['configuration'] . "</a></li>\n";

if($sas_config['show_module_edit'] == 1)
{
	$class = "";
	if($modoption == "edit") $class = "class='active'";
	print "<li $class><a href=\"index.php?option=modulemanager&modoption=edit&module_number=$module\">".$sas_lang['edit_module']."</a></li>\n";
}

include ("interface/menuend.inc.php");


$table_slider = $dbprefix . "m_slider";

$date_format = $sas_config['dateformat'];

print "<span class=\"sas_module_title\">$modulename</span>
				<br>" . $sas_lang['slider_module_intro'] ."<p>";

switch ($modoption) // start of switch
{

	case "save_config":
	
		mysqli_query($db, "UPDATE $table_configuration SET config_value = '$active' WHERE config_key = 'slider_active'");
		mysqli_query($db, "UPDATE $table_configuration SET config_value = '$slider_height' WHERE config_key = 'slider_height'");
		mysqli_query($db, "UPDATE $table_configuration SET config_value = '$slider_width' WHERE config_key = 'slider_text_width'");
		mysqli_query($db, "UPDATE $table_configuration SET config_value = '$slider_speed' WHERE config_key = 'slider_speed'");
		mysqli_query($db, "UPDATE $table_configuration SET config_value = '$slider_pause' WHERE config_key = 'slider_pause'");
		mysqli_query($db, "UPDATE $table_configuration SET config_value = '$vertical' WHERE config_key = 'slider_vertical'");
		mysqli_query($db, "UPDATE $table_configuration SET config_value = '$picture' WHERE config_key = 'slider_background'");
		mysqli_query($db, "UPDATE $table_configuration SET config_value = '$continuous' WHERE config_key = 'slider_continuous'");
		
		print "<p><b>" . $sas_lang['slider_module_saved'] . "</b></p>";
		
	break;
	
	
	case "delete_slider":
	
		mysqli_query($db, "DELETE FROM $table_slider WHERE id = '".$slider_id."'");
		print "<script language='".$sas_lang['yes']."vascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_sliders'</script>";
		
	break;
	
	case "save_slider":

		if ($slider_id == 0)	//when $slider_id is 0 we have a new slider
		{
			mysqli_query($db, "INSERT INTO $table_slider (id, title, sort_order, content, picture, publish, link, target, show_picture_only)
								VALUES (NULL, '$title', '$order', '$content', '$picture', '$publish', '$slider_link', '$target', '$show_picture_only')");
		}
		else
		{
			mysqli_query($db, "UPDATE $table_slider SET title = '$title',
												sort_order = '$order',
                                                content = '$content',
												picture = '$picture',
												publish = '$publish',
												link = '$slider_link',
												target = '$target',
												show_picture_only = '$show_picture_only'
												WHERE id = '".$slider_id."'");
		}
		
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_sliders&suboption=$suboption&cat_id=$page_id'</script>";
	
	break;
	
	case "config":

		$slider_pause = $sas_config['slider_pause'] / 1000;
		$slider_speed = $sas_config['slider_speed'] / 1000;
		$slider_height = $sas_config['slider_height'];
		$slider_width = $sas_config['slider_text_width'];
		$slider_active = $sas_config['slider_active'];
		
		print "<br /><span class=\"sas_module_subtitle\">" . $sas_lang['configuration'] . "</span><br>";
		print "<FORM name=\"theForm\" METHOD=\"POST\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_config\">";
	
		print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"680\" bgcolor=\"#CECECE\">";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['slider_module_active'] . "&nbsp;</td>
				<td class=\"sas_row_color_even\"><select name=\"active\">";
		if($sas_config['slider_active'] == 0)
		{
			print "	<option selected value=\"0\">".$sas_lang['no']."</option>";
		}
		else
		{
			print "	<option value=\"0\">".$sas_lang['no']."</option>";
		}
		if($sas_config['slider_active'] == 1)
		{
			print "	<option selected value=\"1\">".$sas_lang['yes']."</option>";
		}
		else
		{
			print "	<option value=\"1\">".$sas_lang['yes']."</option>";
		}
		
		print "	</select>
				</td></tr>";
		if($sas_config['slider_active'] == 0)
		{
			print "<tr><td colspan=\"2\" class=\"sas_row_color_even\"><span class=\"error\">Let op slider is niet zichtbaar!</span></td></tr>";
		}
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['slider_module_height'] . "&nbsp;</td>
				<td class=\"sas_row_color_even\"><input type=\"text\" size=\"2\" class=\"textfield\" name=\"slider_height\" value=\"".$sas_config['slider_height']."\">px.</td></tr>
				<tr><td class=\"sas_row_color_even\">" . $sas_lang['slider_module_width'] . "&nbsp;</td>
				<td class=\"sas_row_color_even\"><input type=\"text\" size=\"2\" class=\"textfield\" name=\"slider_width\" value=\"".$sas_config['slider_text_width']."\">px.</td></tr>
				<tr><td class=\"sas_row_color_even\">" . $sas_lang['slider_module_speed'] . "&nbsp;</td>
				<td class=\"sas_row_color_even\"><input type=\"text\" size=\"2\" class=\"textfield\" name=\"slider_speed\" value=\"".$slider_speed."\"> ".$sas_lang['slider_module_seconds']."</td></tr>
				<tr><td class=\"sas_row_color_even\">" . $sas_lang['slider_module_pause'] . "&nbsp;</td>
				<td class=\"sas_row_color_even\"><input type=\"text\" size=\"2\" class=\"textfield\" name=\"slider_pause\" value=\"".$slider_pause."\">  ".$sas_lang['slider_module_seconds']."</td></tr>
				<tr><td class=\"sas_row_color_even\">" . $sas_lang['slider_module_scroll_vertical'] . ":&nbsp;</td>
				<td class=\"sas_row_color_even\"><select name=\"vertical\">";
		if($sas_config['slider_vertical'] == "false")
		{
			print "	<option selected value=\"false\">".$sas_lang['no']."</option>";
		}
		else
		{
			print "	<option value=\"false\">".$sas_lang['no']."</option>";
		}
		if($sas_config['slider_vertical'] == "true")
		{
			print "	<option selected value=\"true\">".$sas_lang['yes']."</option>";
		}
		else
		{
			print "	<option value=\"true\">".$sas_lang['yes']."</option>";
		}
		
		print "	</select>
				</td></tr>
				<tr><td class=\"sas_row_color_even\">" . $sas_lang['slider_module_continuous'] . "&nbsp;</td>
				<td class=\"sas_row_color_even\"><select name=\"continuous\">";
		
		if($sas_config['slider_continuous'] == "false")
		{
			print "	<option selected value=\"false\">".$sas_lang['no']."</option>";
		}
		else
		{
			print "	<option value=\"false\">".$sas_lang['no']."</option>";
		}
		if($sas_config['slider_continuous'] == "true")
		{
			print "	<option selected value=\"true\">".$sas_lang['yes']."</option>";
		}
		else
		{
			print "	<option value=\"true\">".$sas_lang['yes']."</option>";
		}
		$slider_backgr = str_replace("%height%", $sas_config['slider_height'], $sas_lang['slider_module_background']);
		
		print "	</select>
				</td></tr>
				<tr><td class=\"sas_row_color_even\" colspan=\"2\">".$slider_backgr."</td>
				</tr>
				<tr>
				<td class=\"sas_row_color_even\"><input name=\"picture\" value=\"".$sas_config['slider_background']."\" size=\"80\">
				<a href=\"#\"" . "onclick=\"NewPopup('" . $sas_config['url'] . "$cmsdir/editors/ckeditor/filemanager/browser.php?type=image&num=1')\">
				<img src=\"graphics/camera.gif\" alt=\"Selecteer een achtergrond\" title=\"Selecteer een achtergrond\" border=\"0\" style=\"margin-left:5px; margin-top: 8px;margin-bottom: -3px;\" /></a>
				</td><td class=\"sas_row_color_even\"><div id=\"thumbnail\"><img src=\"".$sas_config['slider_background']."\" alt=\"".$sas_config['slider_background']."\" rel=\"rel1\" width=\"100\">
				<p id=\"large\"></p>
				</td>
				</tr>
				</table>\n";
		
		print "\n<br><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		print "\n<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</span></form>";
		
	break;

	case "edit_slider":

		print "<br /><span class=\"sas_module_subtitle\">" . $sas_lang['slider_module_edit'] . "</span><p>\n";
		$query = "SELECT id, title, content, sort_order, picture, publish, link, target, show_picture_only FROM $table_slider WHERE id = '".$slider_id."'";
		$result = mysqli_query($db, $query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$slider_list = mysqli_fetch_array($result);
		
		print "<FORM name=\"theForm\" METHOD=\"POST\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_slider&slider_id=$slider_id\">
				<table cellspacing=\"2\" cellpadding=\"2\" width=\"680\" bgcolor=\"#CECECE\">";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['slider_module_title'] . " : 
				 <input type=\"text\" name=\"title\" size=\"40\" value=\"$slider_list[1]\" class=\"textfield\">&nbsp;" . $sas_lang['slider_module_order'] . " :&nbsp;
				 <input type=\"text\" name=\"order\" size=\"11\" value=\"$slider_list[3]\"> </td></tr>\n";
		print "<tr><td class=\"sas_row_color_even\"><div id=\"thumbnail\"><img src=\"$slider_list[4]\" alt=\"$slider_list[4]\" rel=\"rel1\" width=\"200\">
				<p id=\"large\"></p>
				</td></tr>
				<tr><td class=\"sas_row_color_even\">
				<input name=\"picture\" value=\"$slider_list[4]\" size=\"95\">&nbsp;
				<a href=\"#\"" . " onclick=\"NewPopup('" . $sas_config['url'] . "$cmsdir/editors/ckeditor/filemanager/browser.php?type=image&num=1')\">
				<img src=\"graphics/camera.gif\" alt=\"".$sas_lang['slider_module_select_picture']."\" title=\"".$sas_lang['slider_module_select_picture']."\" border=\"0\" style=\"margin-left:5px; margin-top: 8px;margin-bottom: -3px;\" /></a>
				</td></tr>
				<tr><td class=\"sas_row_color_even\">".$sas_lang['slider_module_photo_only'].": 
				&nbsp;" . $sas_lang['yes'] ;
		
		if ($slider_list[8] == "1")
		{
			print "<input type=\"radio\" class=\"radio\" value=\"1\" name=\"show_picture_only\" checked>";
			print "&nbsp;&nbsp; " . $sas_lang['no'] ;
			print "<input type=\"radio\" class=\"radio\" name=\"show_picture_only\" value=\"0\">";
		}
		else
		{
			print "<input type=\"radio\" class=\"radio\" value=\"1\" name=\"show_picture_only\">";
			print "&nbsp;&nbsp; " . $sas_lang['no'] ;
			print "<input type=\"radio\" class=\"radio\" name=\"show_picture_only\" value=\"0\" checked>";
		}
		
		print "</td></tr>";
				
		print "<tr><td bgcolor=\"#F7F7F7\" colspan=\"2\">";
		// call basic ck editor for welcome text
		small_editor('content', $slider_list[2], 'editor1');
		
		print "</td></tr>
				<tr><td class=\"sas_row_color_even\">" . $sas_lang['slider_module_link'] . " : 
				 <input type=\"text\" name=\"slider_link\" size=\"70\" value=\"$slider_list[6]\" class=\"textfield\"><br />".$sas_lang['slider_module_target'].": 
				&nbsp;" . $sas_lang['yes'] ;
		
		if ($slider_list[7] == "1")
		{
			print "<input type=\"radio\" class=\"radio\" value=\"1\" name=\"target\" checked>";
			print "&nbsp;&nbsp; " . $sas_lang['no'] ;
			print "<input type=\"radio\" class=\"radio\" name=\"target\" value=\"0\">";
		}
		else
		{
			print "<input type=\"radio\" class=\"radio\" value=\"1\" name=\"target\">";
			print "&nbsp;&nbsp; " . $sas_lang['no'] ;
			print "<input type=\"radio\" class=\"radio\" name=\"target\" value=\"0\" checked>";
		}
		
		print "</td></tr>
				<tr><td class=\"sas_row_color_even\">".$sas_lang['slider_module_publish'].": 
				&nbsp;" . $sas_lang['yes'] ;
		
		if ($slider_list[5] == "1")
		{
			print "<input type=\"radio\" class=\"radio\" value=\"1\" name=\"publish\" checked>";
			print "&nbsp;&nbsp; " . $sas_lang['no'] ;
			print "<input type=\"radio\" class=\"radio\" name=\"publish\" value=\"0\">";
		}
		else
		{
			print "<input type=\"radio\" class=\"radio\" value=\"1\" name=\"publish\">";
			print "&nbsp;&nbsp; " . $sas_lang['no'] ;
			print "<input type=\"radio\" class=\"radio\" name=\"publish\" value=\"0\" checked>";
		}
		
		print "</td></tr>
				</table>";
	
		print "\n<br /><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		print "<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</form>";
		
	break;

	case "add_slider":

		print "<br /><span class=\"sas_module_subtitle\">" . $sas_lang['slider_module_add'] . "</span><p>";
		
		print "<FORM name=\"theForm\" id=\"theForm\" METHOD=\"POST\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_slider&slider_id=$slider_id\">
				<div id=\"ErrorBox\"></div>
				<table cellspacing=\"2\" cellpadding=\"2\" width=\"680\" bgcolor=\"#CECECE\">";
		print "<tr><td class=\"sas_row_color_even\" colspan=\"2\">" . $sas_lang['slider_module_title'] . " : 
				 <input type=\"text\" name=\"title\" size=\"40\" value=\"\" class=\"required\">&nbsp;" . $sas_lang['slider_module_order'] . " :&nbsp;
				 <input type=\"text\" name=\"order\" size=\"11\" value=\"\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">
				<input name=\"picture\" value=\"\" size=\"70\">
				<a href=\"#\"" . "onclick=\"NewPopup('" . $sas_config['url'] . "$cmsdir/editors/ckeditor/filemanager/browser.php?type=image&num=1')\">
				<img src=\"graphics/camera.gif\" alt=\"".$sas_lang['slider_module_select_picture']."\" title=\"".$sas_lang['slider_module_select_picture']."\" border=\"0\" style=\"margin-left:5px; margin-top: 8px;margin-bottom: -3px;\" /></a>
				</td></tr>
				<tr><td class=\"sas_row_color_even\">".$sas_lang['slider_module_photo_only'].": 
				&nbsp;" . $sas_lang['yes'] ;
		
		print "<input type=\"radio\" class=\"radio\" value=\"1\" name=\"show_picture_only\">";
		print "&nbsp;&nbsp; " . $sas_lang['no'] ;
		print "<input type=\"radio\" class=\"radio\" name=\"show_picture_only\" value=\"0\" checked>";
		
		print "</td></tr>";
				
		print "<tr><td colspan=\"2\" bgcolor=\"#F7F7F7\" colspan=\"2\">";
		// call basic ckeditor for welcome text
		small_editor('content', '', 'editor1');

		print "</td></tr>
				<tr><td class=\"sas_row_color_even\">" . $sas_lang['slider_module_link'] . " : 
				 <input type=\"text\" name=\"slider_link\" size=\"40\" value=\"\" class=\"textfield\"><br />".$sas_lang['slider_module_target'].": </span>
				&nbsp;" . $sas_lang['yes'] ;
		print "<input type=\"radio\" class=\"radio\" value=\"1\" name=\"target\">";
		print "&nbsp;&nbsp; " . $sas_lang['no'] ;
		print "<input type=\"radio\" class=\"radio\" name=\"target\" value=\"0\" checked>";
		
		print "</td></tr>";
		print "<tr><td class=\"sas_row_color_even\">".$sas_lang['slider_module_publish'].": </span>&nbsp;" . $sas_lang['yes'] ;
		print "<input type=\"radio\" class=\"radio\" value=\"1\" name=\"publish\">";
		print "&nbsp;&nbsp; " . $sas_lang['no'] ;
		print "<input type=\"radio\" class=\"radio\" name=\"publish\" value=\"0\" checked></td></tr>
				</table>";
	
		print "\n<br /><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		print "<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</form>";
		
	break;

	case "list_sliders":
	
		$query = "SELECT id, title, content, sort_order, publish FROM $table_slider ORDER BY sort_order";
		$result = mysqli_query($db, $query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
	
		print "<table border=\"0\">";
		
		while ($slider_list = mysqli_fetch_array($result))
		{
			$publish = "";
			if($slider_list[4] == 1)
			{
				$publish = "(*)";
			}
			$msg = str_replace("%date%", $slider_list[3], $sas_lang['slider_module_delete']);
			print "<tr bgcolor=\"$bgcolor\">
					 <td><img border=\"0\" src=\"graphics/delete.gif\" alt=\"$sas_lang[delete]\" title=\"$sas_lang[delete]\" width=\"16\" height=\"16\" class=\"tooltip\" 
					 onClick=\"if(confirm('" . $msg . "')) parent.location='index.php?option=modulemanager&module=$module&modoption=delete_slider&suboption=$suboption&slider_id=$slider_list[0]';\">
					 &nbsp;<img border=\"0\" src=\"graphics/edit.gif\" alt=\"$sas_lang[edit]\"  title=\"$sas_lang[edit]\" width=\"16\" height=\"16\" class=\"tooltip\" 
					 onClick=\"parent.location='index.php?option=modulemanager&module=$module&modoption=edit_slider&slider_id=$slider_list[0]';\"></td>
					 <td><a href=\"index.php?option=modulemanager&module=$module&modoption=edit_slider&slider_id=$slider_list[0]\"><b>(" . $slider_list[3] . ") ". $slider_list[1] . " <span class=\"sas_module_lbl2\">$publish</span></b></a></td>
					 </tr>";
		}
		
		print "<tr><td colspan=\"2\">&nbsp;</td></tr>
				<tr><td colspan=\"2\"><span class=\"sas_module_lbl2\">(*) ".$sas_lang['slider_module_published']."</span></td></tr></table>";

	print "<br /><img border=\"0\" src=\"graphics/add.gif\">
		<a href=\"index.php?option=modulemanager&module=$module&modoption=add_slider\">".$sas_lang['slider_module_add']."</a>";
	print "\n<br /><br /><button onclick=\"javascript:parent.location='index.php?option=modulemanager'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";

	break;

} //end switch
	

include ("interface/footer.inc.php");
?>