<?PHP

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.0.00  
* Copyright (C) 2007-2011: Fred Stuurman (fc.stuurman@gmail.com)
* TV module:
* admin.php: last changed 08/08/2011 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

if (IsSet ($_GET['modoption']))
{
	$modoption = sanitize($_GET['modoption'], 15, 'A');
}
else
{
	$modoption = "list_scripts";	//default choice
}
if (IsSet ($_GET['script_id']))
{
	$script_id = intval($_GET['script_id']);
}
if (IsSet ($_POST['script_id']))
{
	$script_id = intval($_POST['script_id']);
}
if (IsSet ($_POST['script_name']))
{
	$script_name = sanitize($_POST['script_name'], 25, 'S');
}
if (IsSet ($_POST['welcome_text']))
{
	$welcome_text = sanitize($_POST['welcome_text'], 1500, 'H');
}
if (IsSet ($_POST['script_active']))
{
	$script_active = $_POST['script_active'];	//array
}
if (IsSet ($_POST['script_welcome']))
{
	$script_welcome = sanitize($_POST['script_welcome'], 1500, 'H');
}
if (IsSet ($_POST['ip_tv_module']))
{
	$ip_tv_module = $_POST['ip_tv_module'];
}
if (IsSet ($_POST['var1']))
{
	$var1 = sanitize($_POST['var1'], 25, 'S');
}
if (IsSet ($_POST['var2']))
{
	$var2 = sanitize($_POST['var2'], 25, 'S');
}
if (IsSet ($_POST['var3']))
{
	$var3 = sanitize($_POST['var3'], 25, 'S');
}
if (IsSet ($_POST['loc_id']))
{
	$loc_id = intval($_POST['loc_id']);
}
if (IsSet ($_GET['script_name']))
{
	$script_name = sanitize($_GET['script_name'], 25, 'S');
}

load_language('', 'sn_tvmodule'); //load language file

include ("interface/header.inc.php");
include ("interface/menubar.inc.php");
include ("interface/menustart.inc.php");
print "<li class='active'><a href=\"index.php?option=modulemanager&module=$module\">$modulename</a></li>\n";

if (substr($access, 4, 1) == 1) //bit 5 off the accessrights (configuration right)
{
	$class = "";
	if($modoption == "edit") $class = "class='active'";
	print "<li $class><a href=\"index.php?option=modulemanager&modoption=edit&module_number=$module\">".$sas_lang['edit_module']."</a></li>\n";
}
include ("interface/menuend.inc.php");

$scripts_table = $dbprefix . "m_scripts";

print "<span class=\"sas_module_title\">$modulename<br></span>"; //print the module name
print $sas_lang['tv_module_intro'] . "<br><br>";

switch ($modoption) // start of switch
{

	case add_script :	

		$loc_id = "0";
	
		if ($script_name == "scroll_page.php")
		{
			mysqli_query($db,"INSERT INTO $scripts_table VALUES (NULL, 'Scrollscript', 'scroll_page.php', 0, 'Page number', '' , 'Speed' , '5', '', '', '', '$loc_id')");
		}
		if ($script_name == "slideshow_full.php")
		{
			mysqli_query($db,"INSERT INTO $scripts_table VALUES (NULL, 'Slideshow', 'slideshow_full.php', 0, 'Album name', '' , 'Speed' , '5', 'Width', '', '', '$loc_id')");
		}
		if ($script_name == "show_page.php")
		{
			mysqli_query($db,"INSERT INTO $scripts_table VALUES (NULL, 'Showpage', 'show_page.php', 0, 'Page number', '' , '' , '', '', '', '', '$loc_id')");
		}
		if ($script_name == "page_slideshow.php")
		{
			mysqli_query($db,"INSERT INTO $scripts_table VALUES (NULL, 'Page slideshow', 'page_slideshow.php', 0, 'Pages', '' , 'Speed' , '5', '', '', '', '$loc_id')");
		}
		
		//return to list of scripts
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_scripts'</script>";
	
	break;

	case delete_script:

		mysqli_query($db,"DELETE FROM $scripts_table WHERE id = '$script_id'");
		//return to list of scripts
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_scripts'</script>";
		
	break;

	case save_script:

		mysqli_query($db,"UPDATE $scripts_table SET name = '$script_name' ,
												value1 = '$var1' ,
												value2 = '$var2' ,
												value3 = '$var3' ,
												welcome = '$script_welcome' ,
												loc_id = '$loc_id' 
												WHERE id = '".$script_id."'");
		
		//return to list of scripts
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_scripts'</script>";
		
	break;

	case save_active:

		mysqli_query($db,"UPDATE $scripts_table SET active = 0 WHERE id > 0");
	
		foreach ($script_active as $value)
		{
			$value = intval($value) ;
			mysqli_query($db,"UPDATE $scripts_table SET active = 1 WHERE id = '$value'");
		}
		//return to list of scripts
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_scripts'</script>";
		
	break;

	case edit_script:

		$query = "SELECT name, varname1, value1, varname2, value2, varname3, value3, script, welcome, loc_id FROM $scripts_table WHERE id='$script_id'";
		$result = mysqli_query($db,$query);
		$script_name = mysqli_result($result, 0, 0);
		$parm_name1 = mysqli_result($result, 0, 1);
		$value1 = mysqli_result($result, 0, 2);
		$parm_name2 = mysqli_result($result, 0, 3);
		$value2 = mysqli_result($result, 0, 4);
		$parm_name3 = mysqli_result($result, 0, 5);
		$value3 = mysqli_result($result, 0, 6);
		$script = mysqli_result($result, 0, 7);
		$script_welcome = mysqli_result($result, 0, 8);
		$loc_id = mysqli_result($result, 0, 9);
	
		print "<FORM METHOD=\"POST\" name=\"theForm\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_script&script_id=$script_id\">\n";
		print "<table cellpadding=\"2\"cellspacing=\"2\" cellpadding=\"2\" bgcolor=\"#CECECE\">
				<tr><td class=\"sas_row_color_even\">" . $sas_lang['tv_module_script_type'] . ":</td>
				<td class=\"sas_row_color_even\"><b>$script</td></tr>
				<td class=\"sas_row_color_even\">" . $sas_lang['tv_module_script_name'] . "</td>
				<td class=\"sas_row_color_even\"><input size=\"40\" name=\"script_name\" value=\"$script_name\"></td></tr>\n";
		
		if ($parm_name1 != "")
		{
			print "<tr><td class=\"sas_row_color_even\">$parm_name1:</td><td class=\"sas_row_color_even\"><input name=\"var1\" value=\"$value1\"></td></tr>\n";
		}
		if ($parm_name2 != "")
		{
			print "<tr><td class=\"sas_row_color_even\">$parm_name2:</td><td class=\"sas_row_color_even\"><input name=\"var2\" value=\"$value2\"></td></tr>\n";
		}
	
		if ($parm_name3 != "")
		{
			print "<tr><td class=\"sas_row_color_even\">$parm_name3:</td><td class=\"sas_row_color_even\"><input name=\"var3\" value=\"$value3\"></td></tr>\n";
		}
		print "<tr><td valign=\"top\" class=\"sas_row_color_even\">" . $sas_lang['tv_module_welcome'] . ":</td>
				<td class=\"sas_row_color_even\"><textarea cols=\"70\" rows=\"8\" name=\"script_welcome\">" . $script_welcome . "</textarea></td></tr>\n";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['tv_module_location_id'] . ":</span></td>
				<td class=\"sas_row_color_even\"><input name=\"loc_id\" size=\"4\" value=\"$loc_id\"></td></tr>\n";
		print "</table>";
	
		print "<p></p><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</form>";

	break;

	case list_scripts:
	
		$query = "SELECT id, name, active, varname1, value1, script, loc_id FROM $scripts_table ORDER BY loc_id";
		$result = mysqli_query($db,$query);
		print "<form><b>" . $sas_lang['tv_module_add'] . ":</b></span>&nbsp;<select size=\"1\" name=\"script\" 
				onchange=\"parent.location.href='index.php?option=modulemanager&module=$module&modoption=add_script&script_name=' + this.options[this.selectedIndex].value\">";
		print "<option value=\"\">" . $sas_lang['tv_module_select'] . "</option>\n";
		print "<option value=\"page_slideshow.php\">Page slideshow</option>\n";
		print "<option value=\"scroll_page.php\">Scrollscript</option>\n";
		print "<option value=\"slideshow_full.php\">Slideshow</option>\n";
		print "<option value=\"show_page.php\">Showpage</option>\n";
		print "</select></form><p>";
	
		print "<FORM METHOD=\"POST\" NAME=\"myform\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_active\">\n";
		print "<table cellpadding=\"2\"><tr><td>&nbsp;</td>
				<td><b>" . $sas_lang['tv_module_script_name'] . "</b></span></td><td>&nbsp;</td>
				<td><b>" . $sas_lang['tv_module_active'] . "</b></span></td></tr>\n";
	
		$i = 0;
		$k = 0;
		while ($script_list = mysqli_fetch_array($result))
		{
			if (($loc_id_prev != $script_list[6]) AND ($i > 0))
			{
				print "<tr><td colspan=\"4\">&nbsp;</td></tr>"; //print extra line
				$k++;
			}
			$loc_id_prev = $script_list[6];
			print "<tr>
					   <td><img border=\"0\" src=\"graphics/delete.gif\" alt=\"" . $sas_lang['delete'] . "\" 
					   title=\"" . $sas_lang['delete'] . "\" width=\"16\" height=\"16\" class=\"tooltip\"  onClick=\"if(confirm('$sas_lang[tv_module_delete_confirm]'))
						 parent.location='index.php?option=modulemanager&module=$module&modoption=delete_script&script_id=$script_list[0]';\">";
			if ($script_list[5] == "slideshow_full.php")
			{
				print "&nbsp;<a href=\"addons/$script_list[5]?album_name=$script_list[4]&speed=4&w=300\" target=\"_blank\"><img src=\"graphics/view.gif\" border=\"0\" 
							   title=\"" . $sas_lang['student_view'] . "\" alt=\"" . $sas_lang['student_view'] . "\"></a></td>";
			}
			else
			{
				print "&nbsp;<a href=\"addons/$script_list[5]?page=$script_list[4]\" target=\"_blank\"><img src=\"graphics/view.gif\" border=\"0\" 
							   title=\"" . $sas_lang['student_view'] . "\" alt=\"" . $sas_lang['student_view'] . "\"></a></td>";
			}
			print "<td><b>
				<a href=\"index.php?option=modulemanager&module=$module&modoption=edit_script&script_id=$script_list[0]\">($script_list[6]) $script_list[1] </a></b></span></td>
				<td>&nbsp;&nbsp;$script_list[3]: <b>$script_list[4]</b></span></td>";
			if ($script_list[2] == 0)
			{
				print "<td align=\"right\"><input type=\"radio\" name=\"script_active[$k]\" value=\"$script_list[0]\">&nbsp;</td></tr>";
			}
			else
			{
				print "<td align=\"right\"><input type=\"radio\" name=\"script_active[$k]\" value=\"$script_list[0]\" checked>&nbsp;</td></tr>\n";
			}
			print "<INPUT type=\"hidden\" size=5 name=script_id[$i] value=\"$script_list[0]\">\n";
			$i++;
		}
	
		print "</table>";
		print "<p></p><button onclick=\"javascript:parent.location='index.php?option=modulemanager'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</span></form>";
	
	break;
}

include ("interface/footer.inc.php");
?>