<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* Syndeo CMS Software Version: 2.6.10  
* Copyright (C) 2007: Fred Stuurman (fc.stuurman@gmail.com)
* Picture module: 
* view_video.php: last changed 12/06/2008 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
*/

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

$wmv = "<object id=\"MediaPlayer\" width=\"%width%\" height=\"%height%\" classid=\"CLSID:22D6f312-B0F6-11D0-94AB-0080C74C7E95\" standby=\"Loading Windows Media Player components...\" type=\"application/x-oleobject\" codebase=\"http://activex.microsoft.com/activex/controls/mplayer/en/nsmp2inf.cab#Version=6,4,7,1112\">
			<param name=\"filename\" value=\"%video_path%\">
			<param name=\"Showcontrols\" value=\"%showcontrols%\">
			<param name=\"autoStart\" value=\"%autostart%\">
			<embed type=\"application/x-mplayer2\" src=\"%video_path%\" name=\"MediaPlayer\" width=\"%width%\" height=\"%height%\" ShowControls=\"%showcontrols%\" autostart=\"%autostart%\">
			</embed>
			</object>";
			
$swf = "<object classid=\"clsid:d27cdb6e-ae6d-11cf-96b8-444553540000\" 
codebase=\"http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=7,0,0,0\" width=\"%width%\" height=\"%height%\" id=\"player\" align=\"middle\">
<param name=\"movie\" value=\"%video_path%\"/>
<param name=\"menu\" value=\"%showcontrols%\"/>
<param name=\"play\" value=\"%autostart%\"/>
<param name=\"loop\" value=\"%loop%\"/>
<param name=\"quality\" value=\"high\"/>
<embed src=\"%video_path%\" menu=\"%showcontrols%\" loop=\"%loop%\" quality=\"high\" width=\"%width%\" height=\"%height%\" name=\"player\" play=\"%autostart%\" 
align=\"middle\" allowScriptAccess=\"sameDomain\" type=\"application/x-shockwave-flash\" pluginspage=\"http://www.macromedia.com/go/getflashplayer\"/>
</object>";

$mov = "<OBJECT CLASSID=\"clsid:02BF25D5-8C17-4B23-BC80-D3488ABDDC6B\" WIDTH=\"%width%\" HEIGHT=\"%height%\" TYPE=\"video/quicktime\" CODEBASE=\"http://www.apple.com/qtactivex/qtplugin.cab\">
<PARAM NAME=\"src\" VALUE=\"%video_path%\">
<PARAM NAME=\"autoplay\" VALUE=\"%autostart%\">
<PARAM NAME=\"volume\" VALUE=\"25\">
<EMBED SRC=\"%video_path%\" WIDTH=\"%width%\" HEIGHT=\"%height%\" TYPE=\"video/quicktime\" PLUGINSPAGE=\"http://www.apple.com/quicktime/download/\" AUTOPLAY=\"%autostart%\" VOLUME=\"25\"></EMBED>
</OBJECT>";
			
$modoption = "list";	//default choice for switch

if (IsSet ($_GET['modoption']))
{
	$modoption = sanitize($_GET['modoption'], 25, 'A');
}

//load_language($cmsdir . '/', 'video'); //load language file

//set the video table names
$table_videos = $dbprefix . "m_videos";
$video_path = $cmsdir . "/media/video" ;

if ($_SESSION['site'] == "protected")
{
	$public = 1 ; 
}
else
{
	$public = 0 ; 
}

switch ($modoption) // start of switch
{
	case "list" :
		
		//do we have videos with an overview name
		$pagetitle = addslashes($pagetitle) ; //add slashes for the query
		$query = "SELECT id, name, file_name FROM $table_videos 
				WHERE public = '$public' AND overview_name = '$pagetitle' ORDER BY sort";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query . '".',E_USER_WARNING);
		$RecordCount = mysqli_num_rows($result); //number of videos
		
		if ($RecordCount == 0) //see if we have videos without an overview name
		{
			$query = "SELECT id, name, file_name FROM $table_videos  
				WHERE public = '$public' AND RIGHT(options,1) = 1 ORDER BY sort";
			$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query . '".',E_USER_WARNING);
			$RecordCount = mysqli_num_rows($result); //number of videos
		}

		if ($RecordCount > 0)
		{
			$number_of_thumbs = $sas_config['video_number_of_items'] ;
			print "<table class=\"sas_module_table\"><tr>";
			
			if($sas_config['video_welcome_text'] != "")
			{
				$cols = $number_of_thumbs*2 ;
				print "<tr><td colspan=\"$cols\">
				<span class=\"sas_module_subtitle\">". $sas_config['video_welcome_text'] ."</span></td></tr>\n";
			}
			
			$i = 0 ;
			while ($video_list = mysqli_fetch_array($result))
			{
				$video_id = $video_list[0];
				$name = $video_list[1];
				$video_path = $cmsdir . "/media/video/" . $video_list[3] ;
				$tmp = explode(".", remove_special_characters($video_list[2]));
				$thumb = $tmp[0] . ".jpg";
				$ext = array_pop($tmp);
				$width = 200 ;
				$height = 150 ;
				
				print "<td width=\"$width\" height=\"$height\"><span class=\"sas_module_title\">$name</span><br />";
						
				if(file_exists($cmsdir . "/media/video/" .$thumb))
				{
					print "<a href=\"index.php?section=$section&amp;page=$page&amp;modoption=view&amp;video_id=$video_id\">
							<img src=\"". $cmsdir . "/media/video/" .$thumb."\" width=\"$width\" height=\"$height\" border=\"0\"></a></td>";
				}
				else
				{
					print "<a href=\"index.php?section=$section&amp;page=$page&amp;modoption=view&amp;video_id=$video_id\">
							<img src=\"". $cmsdir . "/modules/video/movie_icon.jpg\" width=\"$width\" height=\"$height\" border=\"0\"></a></td>";
				}
				
				print "<td width=\"50\">&nbsp;</td>";
				
				$i++ ;
				if($i == $number_of_thumbs)
				{
					print "</tr><tr>";
					$i = 0 ;
				}
				
				
			}
			for ($j = $i+1; $j < $number_of_thumbs*2; $j++) 
			{
				print "<td>&nbsp;</td>";	//add empty cells
			}
			
			print "</table>";
		}
		else
		{
			print "<span class=\"sas_module_error\">" . $sas_lang['picture_module_page_error'] . "</span>\n";
		}
		
	break;
	
	case view:
		
		if (IsSet ($_GET['video_id']))
		{
			$video_id = intval($_GET['video_id']);
		}
		//get video information
		$query = "SELECT name, description, file_name, options FROM $table_videos WHERE id  = '".$video_id."' AND public = $public LIMIT 1"; 
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query . '".',E_USER_WARNING); 
		
		$RecordCount = mysqli_num_rows($result);
		if ($RecordCount > 0)
		{
			$name = mysqli_result($result, 0, 'name');
			$description = mysqli_result($result, 0, 'description');
			$file_name = mysqli_result($result, 0, 'file_name');
			$options = mysqli_result($result, 0, 'options');
			$options = explode(",", $options);
			$video_path = $cmsdir . "/media/video/" . remove_special_characters($file_name) ;
			$tmp = explode(".", $file_name);
			$ext = array_pop($tmp);
			$width = $options[0] ;
			$height = $options[1] ;
			$showcontrols = $options[2] ;
			$autostart = $options[3] ;
			$loop = $options[4] ;
			
			$embed = str_replace("%width%", $width, $$ext);
			$embed = str_replace("%height%", $height, $embed);
			$embed = str_replace("%video_path%", $video_path, $embed);
			$embed = str_replace("%showcontrols%", $showcontrols, $embed);
			$embed = str_replace("%autostart%", $autostart, $embed);
			$embed = str_replace("%loop%", $loop, $embed);
			
			print "<table><tr><td><span class=\"sas_module_title\">$name</span></td></tr>
					<tr><td><span class=\"sas_module_subtitle\">$description</span></td></tr>
					<tr><td>$embed</td></tr>
					</table>";
		}
		else
		{
			print "<span class=\"sas_module_error\">" . $sas_lang['picture_module_page_error'] . "</span>\n";
		}
		
		print "<a href=\"index.php?section=$section&amp;page=$page&amp;modoption=list\" class=\"sas_module_link\">Terug naar het overzicht</a>";
		
	break;
}
?>